Bug 441661 - xlock crashes
xlock crashes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xlockmore (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 07:52 EDT by Eero Hanninen
Modified: 2009-07-15 04:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:15:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg configuration file (1.44 KB, text/plain)
2008-04-09 07:52 EDT, Eero Hanninen
no flags Details
xlock verbose log (4.85 KB, text/plain)
2008-04-11 08:35 EDT, Eero Hanninen
no flags Details

  None (edit)
Description Eero Hanninen 2008-04-09 07:52:17 EDT
Description of problem:
xlock crash random time after launc and screen is unlocked again

Version-Release number of selected component (if applicable):
xlockmore-5.25-1.fc9.x86_64

How reproducible:
Always

Additional info:

produced backtrace:

[fax@nohik ~]$ xlock
X Error of failed request:  GLXBadDrawable
  Major opcode of failed request:  154 (GLX)
  Minor opcode of failed request:  11 (X_GLXSwapBuffers)
  Serial number of failed request:  15410447
  Current serial number in output stream:  15410448
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x3fdf00097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x3fdf000af7]
#2 /usr/lib64/libX11.so.6 [0x3fdf44c610]
#3 /usr/lib64/libX11.so.6(XESetCloseDisplay+0x43) [0x3fdf42e693]
#4 /usr/lib64/libGL.so.1 [0x3feb45b972]
xlock: xcb_xlib.c:73: xcb_xlib_lock: Assertion `!c->xlib.lock' failed.
Aborted
[fax@nohik ~]$
Comment 1 Eero Hanninen 2008-04-09 07:52:17 EDT
Created attachment 301785 [details]
Xorg configuration file
Comment 2 Adrian Reber 2008-04-09 08:15:43 EDT
Can you try to test if this happens only with OpenGL screen savers in xlock?

You can select a specific mode with "xlock -mode glplanet". This does not crash
on my system but I have no real hardware acceleration and it is really really
slow. Maybe you could try to track down the mode which produces the crash for you.
Comment 3 Eero Hanninen 2008-04-11 04:35:02 EDT
After last updates on Wednesday, it no more crashes. But OpenGL screensavers
appears to be blank screen.
I launched xlock with verbose mode and now it says:

Using default visual class
13 eraseModes: random_lines random_squares venetian triple_wipe quad_wipe
circle_wipe three_circle_wipe squaretate fizzle spiral slide_lines losira no_fade 
GL can not render with root visual
Visual info: screen 0, visual id 0x21, class TrueColor, depth 24
mode 16: cage
64 pixels allocated
GL could not create rendering context on screen 0.
erasemode 8: fizzle
GL could not create rendering context on screen 0.
Comment 4 Eero Hanninen 2008-04-11 08:35:43 EDT
Created attachment 302110 [details]
xlock verbose log

xlock craches to "molecule" screensaver. And its reproducable .. tryng about 5
times.
Comment 5 Bug Zapper 2008-05-14 05:11:33 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-06-09 20:05:41 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-15 04:15:01 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.